Path: API › 消息推送

`POST /push`

获取可用的消息推送模块列表。

## Request body

_Required._

- `action227.request_time` (string, required) — Unix 时间戳。
- `action227.request_token` (string, required) — 按 API 概览生成的签名。
- `action227.action` (string, required) — 具体操作名称。
  - one of `"get_modules_list"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "get_modules_list"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/push" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=get_modules_list"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "panel_push": {
    "name": "panel_push",
    "title": "面板基础提醒",
    "version": "1.2"
  },
  "mail": {
    "name": "mail",
    "title": "邮箱",
    "setup": true
  }
}
```


## get_modules_list

获取可用的消息推送模块列表。

- **路由**：`POST /push`
- **action**：`get_modules_list`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `get_modules_list` |

## 输出参数

返回各推送模块配置，key 为模块名。

| 模块名 | 说明 |
|--------|------|
| panel_push | 面板基础提醒 |
| mail | 邮箱推送 |
| dingding | 钉钉 |
| feishu | 飞书 |
| weixin | 微信 |
| sms | 短信 |

## 示例

```json
{
    "panel_push": {"name": "panel_push", "title": "面板基础提醒", "version": "1.2"},
    "mail": {"name": "mail", "title": "邮箱", "setup": true}
}
```

